View Issue Details

IDProjectCategoryView StatusLast Update
0001250Industrial-Craft²crossmod-compatibility / submodules / APIpublic2014-08-15 03:35
ReporterwormzjlAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product VersionBuilds for MC 1.7.10 
Target VersionFixed in Version 
Summary0001250: Crash while adding other mod's stuff in the recycler blacklist
DescriptionJust as the title suggests, everything from vanilla and IC2 worked fine, but when I tries something from other mods it crashes.

http://pastebin.com/9amntKah
TagsNo tags attached.
Minecraft Version

Activities

Player

2014-08-12 18:17

administrator   ~0003130

The builds 586 and later should crash earlier, I need a stack trace for those.

wormzjl

2014-08-13 02:33

reporter   ~0003137

http://pastebin.com/2Xr3vSr0
Voila

Player

2014-08-13 12:21

administrator   ~0003142

The crash should now be a proper notification.

Your blacklist entries are most likely referencing non-existing item ids/fluids/ore dict entries. You can right click an floating item stack with the debug item (/give IC2:itemDebug) in its default mode to retrieve the correct id.

wormzjl

2014-08-14 07:59

reporter   ~0003153

Seems that when IC2 was unable to detect mod items properly when adding modded sutff in the list.

For example I've added ExtraUtilities:cobblestone_compressed which is the item name shown by the debug tool, but it does not detect it on startup

Player

2014-08-15 03:35

administrator   ~0003159

That's because it populated the lists fairly early in the mod loading process, the latest build should have that fixed.

Issue History

Date Modified Username Field Change
2014-08-12 16:48 wormzjl New Issue
2014-08-12 17:12 Thunderdark Assigned To => Player
2014-08-12 17:12 Thunderdark Status new => assigned
2014-08-12 18:17 Player Note Added: 0003130
2014-08-12 18:17 Player Status assigned => feedback
2014-08-13 02:33 wormzjl Note Added: 0003137
2014-08-13 02:33 wormzjl Status feedback => assigned
2014-08-13 12:21 Player Note Added: 0003142
2014-08-13 12:21 Player Status assigned => resolved
2014-08-13 12:21 Player Resolution open => fixed
2014-08-14 07:59 wormzjl Note Added: 0003153
2014-08-15 03:35 Player Note Added: 0003159